package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWF690Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWF690Data() {}

    public static MWF690Data builder() {
        return new MWF690Data();
    }

    public MWF690Data rsPoplatekvyse(Double rsPoplatekvyse) {
        params.put("RS_POPLATEKVYSE", rsPoplatekvyse);
        return this;
    }

    public MWF690Data rsMena(String rsMena) {
        params.put("RS_MENA", rsMena);
        return this;
    }

    public MWF690Data rsPoplatekjednorazovyFlag(String rsPoplatekjednorazovyFlag) {
        params.put("RS_POPLATEKJEDNORAZOVY_FLAG", rsPoplatekjednorazovyFlag);
        return this;
    }

    public MWF690Data rsPoplatekKey(Long rsPoplatekKey) {
        params.put("RS_POPLATEK_KEY", rsPoplatekKey);
        return this;
    }

    public MWF690Data rsPoplatektyp(String rsPoplatektyp) {
        params.put("RS_POPLATEKTYP", rsPoplatektyp);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
